Subject: Re: [RFT PATCH v3] ARM: omap1: enable real software node lookup of GPIOs on Nokia 770

From: Kevin Hilman <[email-masked]>
Date: Thu, 05 Mar 2026 16:31:30 -0800

Bartosz Golaszewski <[email-masked]> writes:

> On Thu, Feb 12, 2026 at 12:46 PM Arnd Bergmann <[email-masked]> wrote:
>>
>> On Thu, Feb 12, 2026, at 12:25, Bartosz Golaszewski wrote:
>> > Currently the board file for Nokia 770 creates dummy software nodes not
>> > attached in any way to the actual GPIO controller devices and uses the
>> > fact that GPIOLIB matching swnode's name to the GPIO chip's label during
>> > software node lookup. This behavior is wrong and we want to remove it.
>> > To that end, we need to first convert all existing users to creating
>> > actual fwnode links.
>> >
>> > Create real software nodes for GPIO controllers on OMAP16xx and
>> > reference them from the software nodes in the nokia board file.
>> >
>> > Signed-off-by: Bartosz Golaszewski <[email-masked]>
>>
>> Acked-by: Arnd Bergmann <[email-masked]>
>
> Aaro, Janusz: Can you please pick it up for v7.1?

I can take this via the OMAP tree once I have confirmation from
Aaro/Janusz that they've tested.

Kevin